/*
  tests_tpmwrite.c
  Copyright (c) J.J. Green 2019
*/

#include <stdio.h>
#include <unistd.h>

#include <tpmwrite.h>
#include "tests_tpmwrite.h"

CU_TestInfo tests_tpmwrite[] = {
  {"simple example", test_tpmwrite_simple },
  CU_TEST_INFO_NULL,
};

extern void test_tpmwrite_simple(void)
{
  tpm_t *tpm = tpm_new();
  CU_ASSERT_PTR_NOT_NULL_FATAL(tpm);

  tpm_point_t point = {0};

  CU_ASSERT_EQUAL(tpm_push(tpm, &point), 0);
  CU_ASSERT_EQUAL(tpm_push(tpm, &point), 0);

  char *path = tmpnam(NULL);

  CU_ASSERT_NOT_EQUAL(access(path, F_OK), 0);
  CU_ASSERT_EQUAL(tpm_write(tpm, path), 0);
  CU_ASSERT_EQUAL(access(path, F_OK), 0);

  unlink(path);
  tpm_destroy(tpm);
}
